<template>
  <div
    class="flex overflow-auto hideScrollbar bg-background5 px-4 menu-tab-header"
    style="top: var(--mobile-header-height, 52px)"
  >
    <nuxt-link v-if="themeColor.Text.includes('global') || themeColor.Text.includes('playful')"
      to="/"
      name="home"
      class="game-type"
    >
      <div class="flex flex-row items-center p-2 h-12 whitespace-nowrap gap-1 space relative"
      :class="
        activetab === '/' ? 'border-b-[2px] border-selected z-50' : 'line'
      ">
        <div class="w-4 h-4 icon">
          <svg-icon
            svgName="icon-home"
            class="icon w-4 h-4 --text4" :class="activetab === '/' ? 'fill-selected' : 'opacity-60'
        "
          />
        </div>
        <p class="text-xs font-bold leading-[14px]"
          :class="activetab === '/' ? 'fc-primary' : '--text4 opacity-60'
        ">
          {{ $t('home') }}
        </p>
      </div>
    </nuxt-link>
    <nuxt-link
      v-for="menu in menuTabHeaders"
      :key="menu.TabType"
      :to="menu.TabURL"
      :name="menu.TabType"
      class="game-type"
    >
      <div class="flex flex-row items-center p-2 h-12 whitespace-nowrap gap-1 space relative"
      :class="
        checkActiveTab(activetab, menu) ? 'border-b-[2px] border-selected z-50' : 'line'
      ">
        <div class="w-4 h-4 icon">
          <svg-icon
            :svgName="`icon-${menu?.TabType.toLowerCase().replace(' ', '-')}`"
            class="icon w-4 h-4 --text4" :class="checkActiveTab(activetab, menu) ? 'fill-selected' : 'opacity-60'
        "
          />
        </div>
        <p class="text-xs font-bold leading-[14px]"
          :class="checkActiveTab(activetab, menu) ? 'fc-primary' : '--text4 opacity-60'
        ">
          {{ $t(menu.TabType.replace(" ", "_").toLowerCase()) }}
        </p>
      </div>
    </nuxt-link>
  </div>
</template>
<script lang="ts">
import { useHeaderComponent } from "@/composables/useTheme";
import { TabInfo } from "~~/models/IGetPlayableGamesResponse";

export default defineComponent({

  setup() {
    const { menuTabHeaders } = useHeaderComponent();
    const route = useRoute();
    const activetab = computed(() => route.path === '/' ? route.path : (route.path.slice(1) || 'sports'));
    const checkActiveTab = (active: string, menu: TabInfo) => {
      if (route.matched[0].name === "GameInitial") {
        return active
          .replace(" ", "")
          .replace("-", "")
          .toLowerCase()
          .includes(menu?.TabType.replace(" ", "").toLowerCase());
      }
      if (route.matched[0].name !== "GameInitial") {
        return (
          active.replace(" ", "").replace("-", "").toLowerCase() ===
          menu?.TabType.replace(" ", "").toLowerCase()
        );
      }
      return false;
    };
    const { themeColor } = themePropertyHelper;

    return {
      menuTabHeaders,
      activetab,
      checkActiveTab,
      themeColor,
    };
  },
});
</script>

<style lang="scss" scoped>
.hideScrollbar::-webkit-scrollbar {
  display: none;
}
.text.fill-selected {
  fill: var( --primary);
}
.line {
  border-bottom: 2px solid rgb(26 157 110/50%);
}
.game-type:first-child .space:before {
  position: absolute;
  content: "";
  left: -16px;
  bottom: -2px;
  width: 16px;
  height: 2px;
  opacity: 0.5;
  background: var(--border);
}
.game-type:last-child .space:after {
  position: absolute;
  content: "";
  right: -16px;
  bottom: -2px;
  width: 16px;
  height: 2px;
  opacity: 0.5;
  background: var(--border);
}
.border-selected {
  border-color: var( --primary);
}
</style>